package com.yonge.cooleshow.bbs.vo;

import com.yonge.cooleshow.bbs.enums.ArticleEnum;
import com.yonge.cooleshow.bbs.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

@ApiModel
public class BbsAuthRecordVo implements Serializable {
    @ApiModelProperty("文章id")
    private Long articleId;

    @ApiModelProperty("文章标题")
    private String title;

    @ApiModelProperty("发布者id")
    private Long userId;

    @ApiModelProperty("发布者昵称")
    private String userName;

    @ApiModelProperty("发布者真实姓名")
    private String realName;

    @ApiModelProperty("发布者手机号")
    private String phone;

    @ApiModelProperty("标签id")
    private Long labelId;

    @ApiModelProperty("标签名")
    private String labelName;

    @ApiModelProperty("是否可评论 0:不可评论 1:可评论")
    private YesOrNoEnum replyFlag;

    @ApiModelProperty("文章发布时间")
    private Date articleCreatedTime;

    @ApiModelProperty("审核状态 审核中:DOING，通过:PASS，驳回:REJECT")
    private ArticleEnum auditState;

    @ApiModelProperty("审核理由")
    private String reason;

    @ApiModelProperty("审核时间")
    private Date createdTime;

    @ApiModelProperty("审核更新时间")
    private Date updatedTime;

    public Long getArticleId() {
        return articleId;
    }

    public void setArticleId(Long articleId) {
        this.articleId = articleId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getLabelId() {
        return labelId;
    }

    public void setLabelId(Long labelId) {
        this.labelId = labelId;
    }

    public String getLabelName() {
        return labelName;
    }

    public void setLabelName(String labelName) {
        this.labelName = labelName;
    }

    public YesOrNoEnum getReplyFlag() {
        return replyFlag;
    }

    public void setReplyFlag(YesOrNoEnum replyFlag) {
        this.replyFlag = replyFlag;
    }

    public Date getArticleCreatedTime() {
        return articleCreatedTime;
    }

    public void setArticleCreatedTime(Date articleCreatedTime) {
        this.articleCreatedTime = articleCreatedTime;
    }

    public ArticleEnum getAuditState() {
        return auditState;
    }

    public void setAuditState(ArticleEnum auditState) {
        this.auditState = auditState;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
}